=== debian/control ===
Source: gtk2-engines-qtcurve
Section: gnome
Priority: optional
Maintainer: Boris Pek <tehnick-8@mail.ru>
Build-Depends: cmake,
               debhelper (>= 7.4.15),
               libcairo2-dev (>= 1.10),
               libgtk2.0-dev
Standards-Version: 3.9.3
DM-Upload-Allowed: yes
Homepage: http://www.kde-look.org/content/show.php?content=40492
Vcs-Git: git://github.com/tehnick/gtk2-engines-qtcurve-debian.git
Vcs-Browser: https://github.com/tehnick/gtk2-engines-qtcurve-debian

Package: gtk2-engines-qtcurve
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kde-style-qtcurve
Description: This is a set of widget styles for Gtk2 based apps
 This package together with kde-style-qtcurve aim to provide a unified look
 and feel on the desktop when using KDE and GNOME applications.
 .
 This package is most useful when installed together with kde-style-qtcurve.
