=== debian/changelog ===
gtk2-engines-qtcurve (1.8.15-4) unstable; urgency=low

  * Add debian/patches/do-not-change-mozilla-css-settings:
    do not change files ~/.mozilla/firefox/*.default/chrome/userChrome.css
    (Closes: #590521)

 -- Boris Pek <tehnick-8@mail.ru>  Fri, 23 Nov 2012 00:10:24 +0200

gtk2-engines-qtcurve (1.8.15-3) unstable; urgency=low

  * Add debian/patches/fix-cairo-flush: fix memory leak.
  * Add "Multi-Arch: same" to package gtk2-engines-qtcurve. (LP: #974993)
  * Fix get-orig-source section in according with Debian Policy §4.9.
  * Build with -DQTC_MODIFY_MOZILLA=false:
    do not modify Iceweasel and/or Firefox settings. (Closes: #590521)

 -- Boris Pek <tehnick-8@mail.ru>  Mon, 29 Oct 2012 23:17:52 +0200

gtk2-engines-qtcurve (1.8.15-2) unstable; urgency=low

  * debian/rules was updated:
    - now uscan options are used instead of direct using of mv command
    - used hardening flags in compiler options

 -- Boris Pek <tehnick-8@mail.ru>  Sun, 10 Jun 2012 17:15:32 +0300

gtk2-engines-qtcurve (1.8.15-1) unstable; urgency=low

  * Update to stable release 1.8.15.
  * Fixes from upstream: fixed tab activation (via mouse) when engine is
    configured to drag windows from all empty areas and either highlight
    is set to 0% or colored mouse over is set to none. (Closes: #641599)

 -- Boris Pek <tehnick-8@mail.ru>  Wed, 25 Apr 2012 01:06:21 +0300
