=== debian/control ===
--- 
+++ 
@@ -7,8 +7,7 @@
 Homepage: http://www.kde-look.org/content/show.php?content=40492
 Vcs-Git: git://github.com/tehnick/gtk2-engines-qtcurve-debian.git
 Vcs-Browser: https://github.com/tehnick/gtk2-engines-qtcurve-debian
-Standards-Version: 3.9.3
-DM-Upload-Allowed: yes
+Standards-Version: 3.9.4
 
 Package: gtk2-engines-qtcurve
 Architecture: any
