=== debian/watch ===
version=3
http://www.kde-look.org/content/download.php?content=40492&id=3 http://craigd.wikispaces.com/file/view/QtCurve-Gtk2-(.*).tar.bz2
